org.apache.ignite.internal.cache.query.index.sorted

## Class QueryIndexDefinition

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.QueryIndexDefinition

All Implemented Interfaces:
  IndexDefinition, SortedIndexDefinition

    public class QueryIndexDefinition
    extends Object
    implements SortedIndexDefinition

Define query index.

### Constructor Summary

Constructors
Constructor and Description
`QueryIndexDefinition(GridQueryTypeDescriptor typeDesc, GridCacheContextInfo<?,?> cacheInfo, IndexName idxName, String treeName, IndexRowCache idxRowCache, boolean isPrimary, boolean isAffinity, LinkedHashMap<String,IndexKeyDefinition> keyDefs, int cfgInlineSize, IndexKeyTypeSettings keyTypeSettings)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `affinity()` Whether this index is affinity key index or not.
`GridCacheContextInfo<?,?>` `cacheInfo()` Cache info.
`IndexName` `idxName()`
`IndexRowCache` `idxRowCache()` Cache of index rows.
`LinkedHashMap<String,IndexKeyDefinition>` `indexKeyDefinitions()`
`int` `inlineSize()` Inline size.
`IndexKeyTypeSettings` `keyTypeSettings()` Index key type settings.
`boolean` `primary()` Whether this index is primary key (unique) or not.
`IndexRowComparator` `rowComparator()` Comparator for comparing index rows.
`InlineIndexRowHandlerFactory` `rowHandlerFactory()` Index row handler.
`int` `segments()` Amount of index tree segments.
`String` `toString()`
`String` `treeName()` Represents an index tree name.
`GridQueryTypeDescriptor` `typeDescriptor()` Type descriptor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QueryIndexDefinition

    public QueryIndexDefinition(GridQueryTypeDescriptor typeDesc,
                                GridCacheContextInfo<?,?> cacheInfo,
                                IndexName idxName,
                                String treeName,
                                IndexRowCache idxRowCache,
                                boolean isPrimary,
                                boolean isAffinity,
                                LinkedHashMap<String,IndexKeyDefinition> keyDefs,
                                int cfgInlineSize,
                                IndexKeyTypeSettings keyTypeSettings)

### Method Detail

#### treeName

    public String treeName()

Represents an index tree name.

Specified by:
  `treeName` in interface `SortedIndexDefinition`

#### indexKeyDefinitions

    public LinkedHashMap<String,IndexKeyDefinition> indexKeyDefinitions()

Specified by:
  `indexKeyDefinitions` in interface `IndexDefinition`
Returns:
  Ordered map of index field names to index key definitions.

#### rowComparator

    public IndexRowComparator rowComparator()

Comparator for comparing index rows.

Specified by:
  `rowComparator` in interface `SortedIndexDefinition`

#### segments

    public int segments()

Amount of index tree segments.

Specified by:
  `segments` in interface `SortedIndexDefinition`

#### inlineSize

    public int inlineSize()

Inline size.

Specified by:
  `inlineSize` in interface `SortedIndexDefinition`

#### primary

    public boolean primary()

Whether this index is primary key (unique) or not.

Specified by:
  `primary` in interface `SortedIndexDefinition`

#### affinity

    public boolean affinity()

Whether this index is affinity key index or not.

Specified by:
  `affinity` in interface `SortedIndexDefinition`

#### rowHandlerFactory

    public InlineIndexRowHandlerFactory rowHandlerFactory()

Index row handler.

Specified by:
  `rowHandlerFactory` in interface `SortedIndexDefinition`

#### keyTypeSettings

    public IndexKeyTypeSettings keyTypeSettings()

Index key type settings.

Specified by:
  `keyTypeSettings` in interface `SortedIndexDefinition`

#### idxRowCache

    public IndexRowCache idxRowCache()

Cache of index rows.

Specified by:
  `idxRowCache` in interface `SortedIndexDefinition`

#### idxName

    public IndexName idxName()

Specified by:
  `idxName` in interface `IndexDefinition`
Returns:
  Index name.

#### typeDescriptor

    public GridQueryTypeDescriptor typeDescriptor()

Type descriptor.

Specified by:
  `typeDescriptor` in interface `SortedIndexDefinition`

#### cacheInfo

    public GridCacheContextInfo<?,?> cacheInfo()

Cache info.

Specified by:
  `cacheInfo` in interface `SortedIndexDefinition`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022